try: # for pip >= 10
    from pip._internal.req import parse_requirements
except ImportError: # for pip <= 9.0.3
    from pip.req import parse_requirements #pyright: reportMissingImports=false
from setuptools import setup, find_packages
from __init__ import __author__, __version__, __author_email__ #pylint: disable = no-name-in-module

install_reqs = parse_requirements('requirements.txt', session=False)
try:
    reqs = [str(ir.req) for ir in install_reqs]
except AttributeError:
    reqs = [str(ir.requirement) for ir in install_reqs]

setup(
    name="ebaycrawler",
    version=__version__,
    packages=find_packages(),
    author=__author__,
    author_email=__author_email__,
    install_requires = reqs,
    url="https://github.com/ov3rwrite/ebaycrawler",
    license="WTFPL",
    scripts=('ebaycrawler.py',)
)
